Trouble installing IOS 5 beta 2

Discussion in 'iPhone' started by ek9max, Jun 24, 2011.

  1. ek9max, Jun 24, 2011
    Last edited: Jun 24, 2011

    ek9max macrumors regular

    Joined:
    Feb 22, 2011
    #1
    I currently have beta 1 installed. Had no issues with that.

    So beta 2 comes out, I installed itunes 10.5 beta 2 and downloaded hte new firmware.

    I tried to Restore unsing shift + restore, itunes then tells me that the firmware isn't compatiable.....

    I tried restoring to 4.3.3 Then tried again....gave me the same message. However, it lets me install ios 5 beta 1 still.....

    help!
     
  2. celticpride678

    Joined:
    Feb 15, 2009
    Location:
    Boston, MA
    #2
    Did you download the correct beta for your device?
     
  3. ek9max thread starter macrumors regular

    Joined:
    Feb 22, 2011
    #3
    Yes. I even tried downloading from different sources.
     
  4. stisdal macrumors 6502

    stisdal

    Joined:
    Feb 28, 2010
    Location:
    USA
  5. saving107 macrumors 603

    saving107

    Joined:
    Oct 14, 2007
    Location:
    San Jose, Ca
    #5
    How many source's does Apple provide at www.developer.apple.com?

    I thought it was only one per unit

    [​IMG]
     
  6. Peabody macrumors regular

    Joined:
    Jun 28, 2007
    Location:
    Portland, OR
    #6
    Did you try downloading it from the *only* source you're contractually obligated to - developer.apple.com?

    Sheesh already...this whole "gotta play without paying the entrance fee" thing is really getting silly. For $99 you too can have access to the one set of forums that can help you out! Not to mention you'll get access to the release notes that'll help you find the answers to solve your issues...ugh.
     
  7. stisdal macrumors 6502

    stisdal

    Joined:
    Feb 28, 2010
    Location:
    USA
    #7
    Yeah, OK, I'm new at this part. I HAVE a paid developer account. This is just my first pass at getting a beta so cut me a little slack!!!
     
  8. HawaiiMacAddict macrumors 6502a

    Joined:
    Dec 28, 2006
    Location:
    On one of my Macs of course
    #8
    I was forced to do a restore instead of upgrade. Was anyone able to do an upgrade, and if so, how did you accomplish it? I got the 3002 error, just like with iOS 5 b1, so did the restore and it worked.
     
  9. Peabody macrumors regular

    Joined:
    Jun 28, 2007
    Location:
    Portland, OR
    #9
    Wasn't picking on you, only the OP. :) You have all the slack necessary. It's the "multiple sources" phrase that caused my rant...

    The release notes have 4 specific steps for success. He apparently didn't read those, heh.
     
  10. eddie92 macrumors newbie

    Joined:
    Jun 7, 2011
    Location:
    Melbourne, Australia
    #10
    when installing ios5 beta 2 you must do it in this order.

    - first sync and backup your idevice.
    - once that is done download ios5 beta 2.
    - using itunes 10.5 beta 1 [option] + select restore. finder wil appear and select the .Ipsw file.
    - that will install fine and then it will try and sync with itunes and you will recieve an error. this is when you eject your phone and install itunes 10.5 beta 5.
    - once that is installed connect your idevice and either restore from back up or start clean.

    when i was installing beta 2 by the time i read that itunes beta 2 isnt compatible with ios beta one i had already installed itunes beta 2. so all i had to do was search in the finder and delete all the itunes on the computer and installed beta 1 again and everything ran perfect from there
     
  11. macingman macrumors 68020

    macingman

    Joined:
    Jan 2, 2011
    #11
    You can't upgrade to betas only restore to them. Pherhaps to discourage non-developers to get the betas as they would lose their data/need to resync it all.
     
  12. stisdal macrumors 6502

    stisdal

    Joined:
    Feb 28, 2010
    Location:
    USA
    #12
    Cool. In fact after I read what you posted I went to the developer forums and found the answers I was looking for... So you helped me :D

    I'll bet he was trying to install the dmg file through iTunes. (as I was :eek:)

    Installed 5b2, and installing my apps now...
     
  13. iMJustAGuy macrumors 68020

    iMJustAGuy

    Joined:
    Sep 10, 2007
    Location:
    Beach, FL
    #13
    I changed the dmg extension to ipsw... that's acceptable right? It's still giving me this error...
     

    Attached Files:

  14. Vundu macrumors 65816

    Vundu

    Joined:
    Jun 10, 2009
    Location:
    Manchester, UK
    #14
    Happened to me. I had to re-download the firmware then it worked.

    It is when it is a bad file or does not download correctly.
     
  15. iMJustAGuy macrumors 68020

    iMJustAGuy

    Joined:
    Sep 10, 2007
    Location:
    Beach, FL
    #15
    I'm a fool. What I did was changed the extension of the DMG file to IPSW instead of opening the DMG and having it extract the IPSW on it's own. Now it works fine.
     
  16. bombrider macrumors newbie

    Joined:
    Jan 3, 2011
    #16
    I'm really not just being an ass here - if you're making a mistake like that, I'm wondering why you even have a developer account? Are you just super impatient for the new iOS?
     
  17. macingman macrumors 68020

    macingman

    Joined:
    Jan 2, 2011
    #17
    Make way for the "iOS Beta Distribution Police". :p
     
  18. iMJustAGuy macrumors 68020

    iMJustAGuy

    Joined:
    Sep 10, 2007
    Location:
    Beach, FL
    #18

    *deletes sarcastic response because a :rolleyes: will suffice*
     

Share This Page